import mongoose from "mongoose";

const { Schema } = mongoose;

const CronSchema = new mongoose.Schema(
    {
        model: String,
        id: Schema.Types.ObjectId,
        state: {
            type: String,
            enum: ["NEW", "ERROR", "SUCCESS"],
            default: "NEW",
        },
        lastTry: Date,
        lastErrorMessage: String,
        tries: {
            type: Number,
            default: 0,
        },
    },
    { timestamps: true }
);

export default mongoose.model("Cron", CronSchema);
